#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Created on Sun Jul  9 14:38:58 2017

@author: Oana
@email: oana.dumitru@nyu.edu

"""
# Note: This code mostly deals with arranging all of the data in an excel file
# You can feel free to make changes to it if you want to format your data in a different way 


# import the directory 
import glob
import xlwt
# change this to your directory - the one your data files are in 
path = '/Users/Oana/Documents/PGA Resample'
filenames = glob.glob(path + '/*.txt')


# Open a new workbook 
book = xlwt.Workbook(encoding="utf-8")
sheet1 = book.add_sheet("Sheet 1")

# write the name "ID" on the first case in the file 
sheet1.write(0, 0, "ID")

# write the segment numbers, from seg1_1 to seg7_7 
for i in range(1,7):
    for j in range(1,8):
        name = 'seg' + str(i) + "_" + str(j)
        sheet1.write(0, (i-1)*7 + j, name)
        
# IMPORTANT: make sure you don't have any files that 
# you do not want the program to run on in this directory
for filename in filenames:
    
    series = open(filename, 'r')
    alldata = series.read()
    
    # split the string into a list 
    # split on the linebreak 
    new_data = alldata.split("\n")
    while '' in new_data:
        new_data.remove('')
    try:   
    # eliminate the first and last piece of data 
        del new_data[0]
        del new_data[len(new_data) - 1]
    except: 
        # feel free to take out this statement if it's slowing your program down. 
        print("This document contains an empty list, nothing will be done to it")
 
    # CHANGE THIS TO YOUR DIRECTORY AND MAKE SURE TO KEEP THE "/"
    a = filename.split('/Users/Oana/Documents/PGA Resample/')
    id = a[1][4:7]
        
    # turn it into an integer    
    id_number = int(id)

    # determine the row to place the ibi on 
    row = id_number - 200

    # write the ID 
    try:
        sheet1.write(row, 0, id)
    except:
        print("No need to write ID again")
    

    # determine the ID 
    segment = int(filename[-9])
    if segment == 1:
        start_col = 1
    elif segment == 2:
        start_col = 8
    elif segment == 3:
        start_col = 15
    elif segment == 4:
        start_col = 22
    elif segment == 5:
        start_col = 29
    elif segment == 6:
        start_col = 36
    
    x = 0 
    for i in range(start_col, start_col + 7):
        try:
            sheet1.write(row, i, new_data[x])
            x += 1
        except: 
            sheet1.write(row, i, 0)
            x += 1

# change this to the name of the file you want to have
book.save("Final PGA Data.xls")
    


    

    
    
